#!/bin/sh

set -euo pipefail

if [ "${BOUNCA_MODE}" = "all-in-one" -o "${BOUNCA_MODE}" = "server" ]; then
  echo "Populating /tmpservices.yaml from /opt/bounca/etc/bounca/services.yaml.template"
  envsubst < /opt/bounca/etc/bounca/services.yaml.template > /tmp/services.yaml
  chmod 600 /tmp/services.yaml
fi

if [ "${BOUNCA_MODE}" = "all-in-one" -o "${BOUNCA_MODE}" = "front" ]; then
  echo "Populating /tmp/nginx.conf from /opt/bounca/etc/nginx/nginx.conf.template"
  envsubst < /opt/bounca/etc/nginx/nginx.conf.template > /tmp/nginx.conf
fi
